#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%global __requires_exclude devel\\(libKF5
%define kontact_mobile 1
%define _cmake_skip_rpath %nil

%define rel 1

Name:       kaddressbook
Summary:    Address Book application to manage your contacts 
Version: 17.12.2
Epoch:          2
Release:    %mkrel %{rel}
Group:      Graphical desktop/KDE
License:    GPLv2
URL:        http://utils.kde.org/projects/kdepim
Source0:    http://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz

ExcludeArch: armv5tl

BuildRequires: kf5-macros

BuildRequires: pkgconfig(Qt5Widgets) 
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5PrintSupport)

# Find KF5 package
BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5KCMUtils)
BuildRequires: cmake(KF5Crash)
BuildRequires: cmake(KF5Libkleo)

# Find KdepimLibs Package
BuildRequires: cmake(KF5PimTextEdit)
BuildRequires: cmake(KF5Akonadi)
BuildRequires: cmake(KF5KontactInterface)
BuildRequires: cmake(KF5MailCommon)
BuildRequires: cmake(KF5Libkdepim)
BuildRequires: cmake(KF5KdepimDBusInterfaces)
BuildRequires: cmake(KF5PimCommon)

BuildRequires: cmake(KF5KaddressbookGrantlee)
BuildRequires: cmake(KF5KaddressbookImportExport)
BuildRequires: cmake(KF5GrantleeTheme)
BuildRequires: cmake(KF5AkonadiSearch)

BuildRequires: gpgme-devel

# Enable with KF5 5.29
#BuildRequires: cmake(KF5Prison)

Requires: akonadi-kde
Requires: grantlee
#Recommends: akonadi-google
#Recommends: akonadi-facebook
Requires: kio5-ldap

Conflicts: kdepim4-devel < 2:4.6.90-2
Conflicts: kontact < 2:16.04.3-3

# conflicts with mga6 packages
Conflicts:      kde-l10n-ar < 17.04.3-1
Conflicts:      kde-l10n-bg < 17.04.3-1
Conflicts:      kde-l10n-bs < 17.04.3-1
Conflicts:      kde-l10n-ca < 17.04.3-1
Conflicts:      kde-l10n-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-cs < 17.04.3-1
Conflicts:      kde-l10n-da < 17.04.3-1
Conflicts:      kde-l10n-de < 17.04.3-1
Conflicts:      kde-l10n-el < 17.04.3-1
Conflicts:      kde-l10n-en_GB < 17.04.3-1
Conflicts:      kde-l10n-en_US < 17.04.3-1
Conflicts:      kde-l10n-es < 17.04.3-1
Conflicts:      kde-l10n-et < 17.04.3-1
Conflicts:      kde-l10n-eu < 17.04.3-1
Conflicts:      kde-l10n-fa < 17.04.3-1
Conflicts:      kde-l10n-fi < 17.04.3-1
Conflicts:      kde-l10n-fr < 17.04.3-1
Conflicts:      kde-l10n-ga < 17.04.3-1
Conflicts:      kde-l10n-gl < 17.04.3-1
Conflicts:      kde-l10n-he < 17.04.3-1
Conflicts:      kde-l10n-hi < 17.04.3-1
Conflicts:      kde-l10n-hr < 17.04.3-1
Conflicts:      kde-l10n-hu < 17.04.3-1
Conflicts:      kde-l10n-ia < 17.04.3-1
Conflicts:      kde-l10n-id < 17.04.3-1
Conflicts:      kde-l10n-is < 17.04.3-1
Conflicts:      kde-l10n-it < 17.04.3-1
Conflicts:      kde-l10n-ja < 17.04.3-1
Conflicts:      kde-l10n-kk < 17.04.3-1
Conflicts:      kde-l10n-km < 17.04.3-1
Conflicts:      kde-l10n-ko < 17.04.3-1
Conflicts:      kde-l10n-lt < 17.04.3-1
Conflicts:      kde-l10n-lv < 17.04.3-1
Conflicts:      kde-l10n-mr < 17.04.3-1
Conflicts:      kde-l10n-nb < 17.04.3-1
Conflicts:      kde-l10n-nds < 17.04.3-1
Conflicts:      kde-l10n-nl < 17.04.3-1
Conflicts:      kde-l10n-nn < 17.04.3-1
Conflicts:      kde-l10n-pa < 17.04.3-1
Conflicts:      kde-l10n-pl < 17.04.3-1
Conflicts:      kde-l10n-pt < 17.04.3-1
Conflicts:      kde-l10n-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-ro < 17.04.3-1
Conflicts:      kde-l10n-ru < 17.04.3-1
Conflicts:      kde-l10n-sk < 17.04.3-1
Conflicts:      kde-l10n-sl < 17.04.3-1
Conflicts:      kde-l10n-sr < 17.04.3-1
Conflicts:      kde-l10n-sv < 17.04.3-1
Conflicts:      kde-l10n-tr < 17.04.3-1
Conflicts:      kde-l10n-ug < 17.04.3-1
Conflicts:      kde-l10n-uk < 17.04.3-1
Conflicts:      kde-l10n-wa < 17.04.3-1
Conflicts:      kde-l10n-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-zh_TW < 17.04.3-1


%description
KAddressBook stores all the personal details of your family, friends and other
contacts.

Features:
    - Imports and exports to nearly every address book standard
    - Reads .vcf format files, and can import and export vCards and csv format
      files
    - Can use multiple LDAPservers
    - Configurable filters and powerful search capabilities
    - Integrates with other Kontact components, e.g. exporting Birthday
      reminders to KOrganizer
    - Capable of groupware integration
    - Powered by Akonadi

%files -f %name.lang
%_kf5_sysconfdir/xdg/kaddressbook.categories
%_kf5_sysconfdir/xdg/kaddressbook.renamecategories
%_kf5_bindir/kaddressbook
%_kf5_datadir/kaddressbook
%_kf5_datadir/appdata/org.kde.kaddressbook.appdata.xml
%_kf5_datadir/applications/kaddressbook-importer.desktop
%_kf5_datadir/applications/org.kde.kaddressbook.desktop
%_kf5_services/kaddressbookpart.desktop
%_qt5_plugindir/kaddressbookpart.so
%_kf5_datadir/kconf_update/kaddressbook*
# Kontact integration
%_qt5_plugindir/kontact_kaddressbookplugin.so
%_kf5_services/kontact/kaddressbookplugin.desktop
%_kf5_datadir/kontact/ksettingsdialog/kaddressbook.setdlg
%_qt5_plugindir/kaddressbook_config_plugins.so
%_iconsdir/hicolor/*/*/kaddressbook.*
%_kf5_datadir/kservices5/kaddressbook_config_plugins.desktop

#------------------------------------------------------------------------------

%define addressbookprivate_major 5
%define libkaddressbookprivate %mklibname addressbookprivate %addressbookprivate_major

%package -n %libkaddressbookprivate
Summary: KDEPIM library
Group: System/Libraries

%description -n %libkaddressbookprivate
KDEPIM library.

%files -n %libkaddressbookprivate
%_kf5_libdir/libkaddressbookprivate.so.%{addressbookprivate_major}*

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=%_kf5_bindir/ld.gold
%cmake_kf5

%make_build

%install
%make_install -C build
%find_lang %name --all-name


%changelog
* Sat Feb 17 2018 neoclust <neoclust> 2:17.12.2-1.mga6
+ Revision: 1202218
- New version 17.12.2
- New version 17.12.1

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090015
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

  + pterjan <pterjan>
    - Exclude armv5tl

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076750
- New version 16.12.0

* Sun Dec 11 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1074277
- imported package kaddressbook

